	.psect	.prog.
fragment:
	jsr	r0,__csav
	tst	-(sp)
	mov	14(r5),r4
	mov	16(r5),r3
	clr	-2(r5)
.3:
	mov	12(r5),r0
	dec	12(r5)
	tst	r0
	ble	.2
	movb	(r4),r2
	beq	.4
.6:
	cmp	r2,$40
	beq	.77777
	cmp	r2,$11
	beq	.77777
	cmp	r2,$12
	bne	.5
.77777:
	inc	r4
	mov	r4,r2
	movb	(r2),r2
	br	.6
.5:
	tst	r2
	beq	.7
	mov	r4,(r3)+
	inc	-2(r5)
.11:
	tst	r2
	beq	.10
	cmp	r2,$40
	beq	.10
	cmp	r2,$11
	beq	.10
	cmp	r2,$12
	beq	.10
	inc	r4
	mov	r4,r2
	movb	(r2),r2
	br	.11
.10:
	tst	r2
	beq	.12
	clrb	(r4)+
.12:
	br	.13
.7:
	clr	(r3)+
.13:
	br	.14
.4:
	clr	(r3)+
.14:
	br	.3
.2:
	mov	-2(r5),r0
.1:
	jmp	__cret
	.globl	fragment
	.globl	_ferr
	.globl	stderr
	.globl	stdout
	.globl	stdin
	.globl	__csav
	.globl	__cret
	.psect	.prog.
	.even
	.psect	.data.
	.even
	.psect	.mwcn.
	.even
	.psect	.prof.
	.even
